
.quiz-modal {display: none;position: fixed;top: 0; left: 0;width: 100%; height: 100%;background: rgba(250, 250, 250, 0.5);backdrop-filter: blur(4px);justify-content: center;align-items: center;z-index: 2000;overflow: hidden;}
.quiz-content {background: rgba(0, 0, 0, 0.9);backdrop-filter: blur(10px);border: 1px solid rgba(255, 255, 255, 0.1);padding: 40px;border-radius: 20px;color: #fff;max-width: 600px;width: 90%;animation: fadeIn 0.3s ease;    max-height: 90vh;  max-height: 80vh;    /* Окно не выше 80% экрана */
    overflow-y: auto;    /* Включаем внутреннюю прокрутку */
    display: flex;       /* Чтобы элементы внутри не ломались */
    flex-direction: column;}
.quiz-title{position: relative; margin-top:-1rem; margin-bottom:1.5rem;}
.quiz-close {position: relative;margin-left: 95%;top:-15px;font-size: 2rem;cursor: pointer;color: #5ebadb;}
.quiz-step {display: none;}
.quiz-step.active {display: block;}
.try{position:relative;left:30%;top:-1.5rem;}

.quiz-nav {display: flex; flex-wrap: wrap;margin-top: 40px; align-items: center;}
.quiz-nav-btn {top: 0px;background: #00BCDD;margin-right:10px;border: none;color: white;cursor: pointer;transition: background 0.3s;}
.quiz-nav-btn:hover { background: #00BCDD, 0.5;}
.quiz-call-btn{top: 0px; margin-right:10px; background: #00BCDD;}
.quiz-call-btn:hover { background: #00BCDD, 0.5;}
button5 {position:relative;background: #00BCDD;color: white;padding: 0.7rem 1.5rem;border-radius: 3rem;cursor: pointer;font-size: 1rem;text-transform: uppercase;}
button5:hover {background: rgba(0, 217, 255, 0.5); color: #fff;transition: background 0.3s, box-shadow 0.3s ease;}


.quiz-call-btn a {color: #fff;text-decoration: none;}
.hidden { display: none; }

textarea {width: 80%; height:auto;min-height: 50px;font-size:1rem;border-radius: 20px;padding: 15px;border: none;}
input {font-size:1rem;border-radius: 20px;padding: 8px;border:none;}

@keyframes fadeIn {
  from { opacity: 0; transform: scale(0.95); }
  to { opacity: 1; transform: scale(1); }
}

@media (max-height: 500px) {  
   /* .quiz-content { transform: scale(0.5);transition: transform .5s ease;}*/
}

@media (max-width: 768px){
.quiz-content {height:auto;font-size: 80%;transition: transform .5s; padding: 20px 10px 40px 10px;max-height: 80%; }
.quiz-call-btn{top: 20px;margin-right:10px;text-align:center;width:100%;background: #5ebadb;}
.try {left:unset; right:0px;}
.quiz-close {margin-left: 90%;top: 0;}
}